"use strict";
jQuery(document).ready(function () {
  $("#lo-btnpost").click(function(){
    $(".lo-dropmenu").slideToggle(500)
  });
  // active class toggle on hover
  setTimeout(function(){
    jQuery('.lo-count, .lo-explore-list, .lo-strikimg, .lo-meettech, .lo-searchtags-list, .lo-ourexpertise_info, .lo-countdown__content').hover(function() {
    var className = jQuery(this).attr('class');
    var myClass = className.split(' ')[0]
    var myActiveClass = myClass + '-active';
    jQuery('.' + myClass).removeClass(myActiveClass)
    jQuery(this).addClass(myActiveClass);
    });
  }, 0);
  //overlay
  jQuery('#overlay').on('click', function(e) {
    jQuery(this).parents('body').addClass('overlayopen');
  });
  jQuery('.iconclose').on('click', function(e) {
    jQuery(this).parents('body').removeClass('overlayopen')
  });
  /* PRELOADER*/
  jQuery(window).on('load', function() {
    jQuery(".lo-preloader").delay(500).fadeOut();
    jQuery(".lo-preloader_holder").delay(200).fadeOut("slow");
      // Masonry Trigger
      var grid = document.querySelector('.grid')
      if(grid !== null){
        let lo_grid = jQuery('.grid').masonry({
          itemSelector: '.grid-item',
          columnWidth: '.grid-sizer',
          percentPosition: true,
        });
      }
      var lo_aos = document.querySelector('[data-aos]')
      if(lo_aos !== null){
          AOS.init({
            offset:200,
            duration:1000,
          });
      }
      var lo_directionhover = document.querySelector('.lo-imagegallery .isotope .grid-item')
      if (lo_directionhover !== null) {
        jQuery('.lo-imagegallery .isotope .grid-item').directionalHover({
          // CSS class for the overlay
          overlay: "lo-grideffect em",
          easing: "swing",
          speed: 4
        })
      }
      // isotope
      var $container = jQuery('.isotope');
      var $optionSets = jQuery('.option-set');
      var $optionLinks = $optionSets.find('a');
      function doIsotopeFilter() {
        if (jQuery().isotope) {
          var isotopeFilter = '';
          $optionLinks.each(function () {
            var selector = jQuery(this).attr('data-filter');
            var link = window.location.href;
            var firstIndex = link.indexOf('filter=');
            if (firstIndex > 0) {
              var id = link.substring(firstIndex + 7, link.length);
              if ('.' + id == selector) {
                isotopeFilter = '.' + id;
              }
            }
          });
          $container.isotope({
            filter: isotopeFilter
          });
          $optionLinks.each(function () {
            var $this = jQuery(this);
            var selector = $this.attr('data-filter');
            if (selector == isotopeFilter) {
              if (!$this.hasClass('lo-activegallery')) {
                var $optionSet = $this.parents('.option-set');
                $optionSet.find('.lo-activegallery').removeClass('lo-activegallery');
                $this.addClass('lo-activegallery');
              }
            }
          });
          $optionLinks.on('click', function () {
            var $this = jQuery(this);
            var selector = $this.attr('data-filter');
            $container.isotope({itemSelector: '', filter: selector});
            if (!$this.hasClass('lo-activegallery')) {
              var $optionSet = $this.parents('.option-set');
              $optionSet.find('.lo-activegallery').removeClass('lo-activegallery');
              $this.addClass('lo-activegallery');
            }
            return false;
          });
        }
      }
      var isotopeTimer = window.setTimeout(function () {
        window.clearTimeout(isotopeTimer);
        doIsotopeFilter();
      }, 1000);
    });  
    //navigation bar
    function lo_collapseMenu(){
      if ($(window).width() < 1200) {
          jQuery('.menu-item-has-children a').on('click', function() {
          jQuery(this).parent('.menu-item-has-children').toggleClass('lo-open-menu');
          jQuery(this).next().slideToggle(300);
        });
      }
    }
    lo_collapseMenu();

  // COLORCHANGER
  jQuery('#changecolor').change(function(){
    if(jQuery(this).is(":checked")) {
      jQuery('body').addClass('darkversion');
      } else {
        jQuery('body').removeClass('darkversion');
      }
  });
  jQuery('.lo-colorhandle').on('click', function() {
    var _this = jQuery(this);
    _this.parents('.lo-colorpicker').toggleClass('lo-show-colorpicker');
  });
  // Counter styling
  var lo_counter = document.querySelector('.lo-count')
  if( lo_counter !== null){
    var counted = 0;
    jQuery(window).scroll(function() {
    var oTop = jQuery('.lo-count').offset().top - window.innerHeight;
    if (counted == 0 && jQuery(window).scrollTop() > oTop) {
      jQuery('.counter-value').each(function() {
        var $this = jQuery(this),
          count_data = $this.attr('data-count');
        jQuery({
          countNum: $this.text()
        }).animate({
            countNum: count_data
          },
          {
            duration: 2000,
            easing: 'swing',
            step: function() {
              $this.text(lo_commanumber(Math.floor(this.countNum)));
            },
            complete: function() {
              $this.text(lo_commanumber(this.countNum));
              //alert fininshed
            }
          });
      });
      counted = 1;
    }
    function lo_commanumber(val) {
      while (/(\d+)(\d{3})/.test(val.toString())) {
        val = val.toString().replace(/(\d+)(\d{3})/, '$1' + ',' + '$2');
      }
      return val;
    }
  });
  }
  // slider styling
  var lo_humansservices = document.getElementById("lo-meettechslider");
  if(lo_humansservices !== null){
    jQuery('#lo-meettechslider').owlCarousel({
      items: 3,
      margin: 30,
      nav: true,
      loop: true,
      autoplay: false,
      dots: false,
      smartSpeed: 500,
      responsive:{
        0:{
          items:1,
          nav: true,
        },
        630:{
          items:2,
          nav:true,
        },
        640:{
          items:2,
          nav: true,
        },
        800:{
          items:3,
        },
      }
    });
  }
  // Our Tech Slider
  var _lo_meettechslidervtwo = document.getElementById("lo-meettechslidervtwo");
  if(_lo_meettechslidervtwo !== null){
    jQuery('#lo-meettechslidervtwo').owlCarousel({
      items: 4,
      margin: 30,
      nav: true,
      loop: true,
      autoplay: false,
      dots: false,
      smartSpeed: 500,
      responsive:{
        0:{
          items:1,
          nav: true,
        },
        630:{
          items:2,
          nav:true,
        },
        640:{
          items:2,
          nav: true,
        },
        992:{
          items:4,
        },
      }
    });
  }
  // typing animated styling
  let lo_typethree = document.querySelector(".typingV3")
  if( lo_typethree !== null){
    var typed = new Typed(".typingV3", {
      strings:["Facinating Reality", "Interesting Reality", "Compelling Reality","Captivating Reality"],
      typeSpeed: 100,
      backSpeed:100,
      loop: true,
      showCursor: false,
    });
  }
  // typing animated styling
  let lo_type = document.querySelector(".typingV2")
  if( lo_type !== null){
    var typed = new Typed(".typingV2", {
      strings:["Facinating", "Interesting", "Compelling","Captivating"],
      typeSpeed: 100,
      backSpeed:100,
      loop: true,
      showCursor: false,
    });
  }
  //  tying animated styling
  let lo_typetwo = document.querySelector(".typing")
  if( lo_typetwo !== null){
    var typed = new Typed(".typing", {
      strings:["Washington, D.C","New York","Los Angeles","California"],
      typeSpeed: 100,
      backSpeed:100,
      loop: true,
      showCursor: false,
    });
  }
  // venobox
  let venobox = document.querySelector(".venobox");
  if (venobox !== null) {
    $(".venobox").venobox({
      infinigall : true,
    });
  };
  let aboutslider = document.getElementById("aboutslider");
  //on initialize
  jQuery('#aboutslider').on('initialized.owl.carousel', function(e) {
    var _this   = jQuery(this);
    _this.find('.owl-item.active').first().addClass('lo-owl_inactive');
    _this.find('.owl-item.active').last().addClass('lo-owl_inactive');
    if (venobox !== null) {
      $(".venobox").venobox({
        infinigall : true,
      });
    }
  });
  if(aboutslider !== null){
    jQuery('#aboutslider').owlCarousel({
      center: true,
      items:5,
      loop:true,
      margin:30,
      autoplay:false,
      autoplayHoverPause:true,
      responsive:{
          0:{
            items:1,
            center: false,
          },
          600:{
            items:2,
            center: false,
            dots: true,
          },
          890:{
            items:3,
            center: false,
          },
          1099:{
            items:4,
            center: false,
          },
          1281:{
            items:5
          },
      }
    });
  }
  //on change
  jQuery('#aboutslider').on('changed.owl.carousel', function(e) {
    var _this = jQuery(this);
    _this.find('.owl-item').removeClass('lo-owl_inactive');
    setTimeout(function(){
      _this.find('.owl-item.active').first().addClass('lo-owl_inactive');
      _this.find('.owl-item.active').last().addClass('lo-owl_inactive');
      _this.find('.owl-item.active:eq(5)').prev().addClass('lo-owl_inactive');
      _this.find('.owl-item.active:eq(5)').removeClass('lo-owl_inactive');
    }, 10);
  });
  //read more
  var tk_showaditionals = document.querySelector(".lo-nestedreply");
  if (tk_showaditionals !== null) {
    tk_showaditionals = {
      collapsedHeight: 141,
      moreLink: '<a href="javascript:void(0);" class="lo-readmorebtn">06 more comments</a>',
      lessLink: '<a href="javascript:void(0);" class="lo-readmorebtn">Show Less</a>',
    };
    jQuery('.lo-nestedreply').readmore(tk_showaditionals);
  }
  
  // progress bar animation
  function lo_progressBar(){
    if (jQuery('.aos-init').hasClass('aos-animate'))
      jQuery('.lo-skillsbar').removeClass('lo-progressbaranimate')
    else
      jQuery('.lo-skillsbar').addClass('lo-progressbaranimate')
    setTimeout(lo_progressBar, 100);
  }
  jQuery(lo_progressBar);
  // paroller 
  var lo_paroller = document.querySelector('.lo-imageswrap')
  if( lo_paroller !== null){
    jQuery("#bannerone").paroller({ factor: 0.3,  type: 'foreground', direction: 'vertical', });  
    jQuery("#bannertwo").paroller({  factor:-0.3,  type: 'foreground', direction: 'vertical' }); 
    jQuery("#bannerthree").paroller({  factor:0.4,  type: 'foreground', direction: 'vertical' }); 
  }
  //animated button styling
  jQuery('.lo-btn_unactive').on('mouseenter', function(e){
    var x ; var y ;
    x =e.pageX - jQuery(this).offset().left;
    y =e.pageY - jQuery(this).offset().top;
    jQuery(this).find('span').css({top:y, left:x})
  })
  jQuery('.lo-btn_unactive').on('mouseout', function(e){
    var x ; var y ;
    x = e.pageX - jQuery(this).offset().left;
    y =e.pageY - jQuery(this).offset().top;
    jQuery(this).find('span').css({top:y, left:x})
  });

  // Comming soon Counter Start
  (function($) {
    var lo_countDown = new Date(2022, 8, 12, 12, 12);
    var days = $('.days');
    var hours = $('.hours');
    var minutes = $('.minutes');
    var seconds = $('.seconds');
    setDate();
    function setDate(){
        var now = new Date();
        if( lo_countDown < now ){
            days.html('<h2>0</h2><span>Days</span>');
            hours.html('<h2>0</h2><span>Hours</span>');
            minutes.html('<h2>0</h2><span>Minutes</span>');
            seconds.html('<h2>0</h2><span>Seconds</span>');
        }
        else{
            var s = -now.getTimezoneOffset()*60 + (lo_countDown.getTime() - now.getTime())/1000;
            var d = Math.floor(s/86400);
            days.html('<h2>'+d+'</h2><span>Day'+(d>1?'s':''),'</span>');
            s -= d*86400;
            var h = Math.floor(s/3600);
            hours.html('<h2>'+h+'</h2><span>Hour'+(h>1?'s':''),'</span>');
            s -= h*3600;
            var m = Math.floor(s/60);
            minutes.html('<h2>'+m+'</h2><span>Minutes'+(m>1?'s':''),'</span>');
            s = Math.floor(s-m*60);
            seconds.html('<h2>'+s+'</h2><span>Seconds'+(s>1?'':''),'</span>');
            setTimeout(setDate, 1000);
        }
    }
})(jQuery); 
// Comming soon Counter End
// Language Change
var lo_textArray = [
  "Hello <br> Friend!",
  "Bonjour <br> lesamis",
  "Ciao <br> amici",
  "Hola <br> amigos"
  
  ];
  $('#lo-langslider').textField( lo_textArray, 5000, "El Randomizah!" ); 
});
$.fn.textField = function( lo_textArray, interval, randomEle, prevText ) {
  var obj = $(this);
  var sendText = ''
  if( $('#text-content').length == 0 ){ obj.append('<div id="text-content">'); }
  var textCont = $('#text-content');
  textCont.fadeOut( 'slow', function() {
      var chosenText = lo_random_array( lo_textArray );
      while( chosenText == prevText ) { chosenText = lo_random_array( lo_textArray ); }
      textCont.empty().html( chosenText );
      textCont.fadeIn( 'slow' );
      sendText = chosenText;
  });
  setTimeout( function(){ obj.textField( lo_textArray, interval, randomEle, sendText ); }, interval );
}
function lo_random_array( lo_Array ) {
  console.log(lo_Array)
  var rand = Math.floor( Math.random() * lo_Array.length + lo_Array.length );
  var randArray = lo_Array[ rand - lo_Array.length ];
  return randArray;
}